PROGNAME := ocaml-taglib
DISTFILES := @AUTOCONF_INSTALL_FILES@ CHANGES COPYING Makefile.in README.md \
	bootstrap configure configure.ac  config.h.in \
	src/*.ml src/*.mli src/*.cc src/Makefile.in src/META.in \
	src/OCamlMakefile \
	examples/*/Makefile examples/*/OCamlMakefile examples/*/*.ml
VERSION = @VERSION@

all clean install uninstall:
	$(MAKE) -C src $@

distclean: clean
	$(MAKE) -C examples clean

doc:
	$(MAKE) -C src htdoc
	mkdir -p doc
	rm -rf doc/html
	mv src/doc/taglib/html doc
	rm -rf src/doc

dist:
	rm -rf $(PROGNAME)-$(VERSION)
	mkdir $(PROGNAME)-$(VERSION)
	cp -R -L --parents $(DISTFILES) $(PROGNAME)-$(VERSION)
	tar zcvf ../$(PROGNAME)-$(VERSION).tar.gz $(PROGNAME)-$(VERSION)
	rm -rf $(PROGNAME)-$(VERSION)

.PHONY: dist doc
